这一章节我们来讨论一下finally。

特性:finally总能够被执行。

 

package com.ray.ch10;

public class Test {

	private void test() throws Exception {
		throw new Exception();
	}

	public static void main(String[] args) {
		try {
			new Test().test();
		} catch (Exception e) {
			e.printStackTrace();
		} finally {
			System.out.println(finally);
		}
	}
}

输出:

 

java.lang.Exception
at com.ray.ch10.Test.test(Test.java:6)
at com.ray.ch10.Test.main(Test.java:11)
finally

 

另一个例子:

 

package com.ray.ch10;

public class Test {

	public static void main(String[] args) {
		int i = 0;
		while (true) {
			try {
				if (i++ == 0) {
					throw new Exception();
				}
			} catch (Exception e) {
				e.printStackTrace();
			} finally {
				System.out.println(finally);
				if (i == 2) {
					System.out.println(break);
					break;
				}
			}
		}
	}
}

输出:

 

java.lang.Exception
at com.ray.ch10.Test.main(Test.java:10)
finally
finally
break

 

总结:这一章节我们讲述了finally的特性。

 

这一章节就到这里,谢谢。